/*
 * All Rights Reserved, Copyright (C) 2003, Hitachi Software Engineering Co., Ltd.
 */
/* $Id: action.h,v 1.1 2005/05/25 16:35:13 ynakam Exp $ */

#ifndef ACTION_H
#define ACTION_H
#include <stdio.h>
#include "global.h"

int registar_role(char *);
int registar_user(char *);

void registar_domain(char *, int);
int registar_file_acl(char *, int);
int registar_deny(char *, int);
int add_permission(char *, int, int);
int add_adm_permission(char *, int, int);

int registar_exc_file_acl(char *, char *);

int registar_net_acl(int, int);
int registar_com_acl(int, char *);
int registar_adm_acl(int);
int registar_tty_acl(char *, int);
int registar_pts_acl(char *, int);
int registar_proc_acl(int);
int registar_tmpfs_create();

/**
 *  handle hash table about domain
 */
DOMAIN *search_domain_hash(char *);
int insert_domain_hash(DOMAIN *);/*not used*/
int insert_domain_hash_by_name(char *);

void print_all_domain();
void free_domain_tab();

void free_rbac_hash_table();
void free_user_hash_table();

void print_domain_info(DOMAIN);


void print_domain_trans();
void registar_domain_trans(char *, char *);
void free_domain_trans();

int str_to_perm(char *);
char *perm_to_str(int allowed);

#endif
