/*
 * All Rights Reserved, Copyright (C) 2003, Hitachi Software Engineering Co., Ltd.
 */
/* $Id: file_label.h,v 1.1 2005/05/25 16:35:13 ynakam Exp $ */

#ifndef FILE_LABEL_H
#define FILE_LABEL_H

#include <stdio.h>
#include "hashtab.h"

int create_file_label_table(HASH_TABLE *);
void print_file_label_tab();
void delete_file_label_tab();
void out_file_type(FILE *);
void out_file_context(FILE *);

int register_label_table(char *);
char *resolve_label_conflict(char *);

#endif
